/*
 * Copyright 2020 University of Liège
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#include "fLifting.h"
#include "fWake.h"
#include "wTag.h"
#include <iomanip>
#include <fstream>
using namespace tbox;
using namespace fpm;

Lifting::Lifting(std::shared_ptr<MshData> _msh, int no) : Body(_msh, no)
{
    wake = new Wake();
}

Lifting::Lifting(std::shared_ptr<MshData> _msh, std::string const &name) : Body(_msh, name)
{
    wake = new Wake();
}

Lifting::~Lifting()
{
    delete wake;
    std::cout << "~Lifting()\n";
}

void Lifting::write(std::ostream &out) const
{
    out << "fpm::Lifting " << *tag << std::endl;
}
